export const TrackedChange: Mark<any, any>;
export const TrackedChangeNodeAttributes: Extension<any, any>;
import { Mark } from "@tiptap/core";
import { Extension } from "@tiptap/core";
export function buildTrackedChangeDataAttributes(attrs?: {}): {
    "data-suggestion-id": any;
    "data-suggestion-type": any;
    "data-suggestion-group-id": any;
    "data-user-id": any;
    "data-created-at": any;
};
export function buildTrackedChangeHTMLAttributes(trackedChange: any): {};
export function buildTrackedChangeNodeAttribute(): {
    default: null;
    parseHTML: (element: any) => {
        id: any;
        type: any;
        groupId: any;
        userId: any;
        createdAt: any;
    } | null;
    renderHTML: (attrs: any) => {};
};
export function getTrackedChangeClassName(trackedChange: any): string;
export function parseTrackedChangeDataAttributes(element: any): {
    id: any;
    type: any;
    groupId: any;
    userId: any;
    createdAt: any;
} | null;
